Favicon

You are here: Home > API Reference > UEM > Mdm Devices > Identify devices with synchronization failures

Identify devices with synchronization failures

Required Permission: mdm.global.device.list

Retrieves list of managed devices experiencing communication failures with management servers, enabling IT teams to quickly diagnose and resolve connectivity or authentication issues.

GET
/v1/organizations/:organizationId/mdm/devices/sync-errors
Copy to clipboard

Identify devices with synchronization failures

Required Permission: mdm.global.device.list

Retrieves list of managed devices experiencing communication failures with management servers, enabling IT teams to quickly diagnose and resolve connectivity or authentication issues.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
target string
optional
Synchronization error target type defining whether issue affects device user or group entity.
emmDeviceadmDevicewinDevice
targetId string
optional
Synchronization error target identifier for retrieving errors specific to entity for troubleshooting.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
{
    "status": true,
    "data": {
        "items": [
            {}
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}